<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ServerAuthDetails](./bitburner.serverauthdetails.md) &gt; [modelId](./bitburner.serverauthdetails.modelid.md)

## ServerAuthDetails.modelId property

The model ID of the server. Similar models share vulnerabilities.

**Signature:**

```typescript
modelId: string;
```
